apiVersion: v1alpha1
kind: AnnotationSetting
metadata:
  generateName: annotation-setting-
spec:
  targetRef:
    group: content.halo.run
    kind: Post
  formSchema:
    - $formkit: "radio"
      name: "mu_on"
      key: "mu_on"
      id: "mu_on"
      label: "文章音乐"
      value: "false"
      options:
        - label: "启用"
          value: "true"
        - label: "禁用"
          value: "false"
    - $formkit: "select"
      if: "$get(mu_on).value != 'false'"
      name: "mus_type"
      label: "歌曲列表类型"
      value: "playlist"
      options:
        - label: "歌曲列表"
          value: "playlist"
        - label: "专辑列表"
          value: "album"
    - $formkit: "select"
      if: "$get(mu_on).value != 'false'"
      name: "mus_source"
      label: "歌曲源"
      value: "netease"
      options:
        - label: "网易云"
          value: "netease"
        - label: "QQ音乐"
          value: "tencent"
        - label: "酷狗音乐"
          value: "kugou"
        - label: "酷我音乐"
          value: "kuwo"
    - $formkit: "text"
      if: "$get(mu_on).value != 'false'"
      name: "plays_id"
      label: "列表ID"
    - $formkit: "textarea"
      if: "$get(mu_on).value != 'false'"
      name: "mu_des"
      label: "专辑描述"


---

apiVersion: v1alpha1
kind: AnnotationSetting
metadata:
  generateName: annotation-setting-
spec:
  targetRef:
    group: ""
    kind: MenuItem
  formSchema:
    - $formkit: "text"
      name: "icon"
      label: "图标"


